Make WordPress Core

Changeset 56799


Ignore:
Timestamp:
10/08/2023 01:07:46 PM (7 months ago)
Author:
SergeyBiryukov
Message:

Coding Standards: Upgrade WPCS to version 3.0.1.

In WordPressCS 3.0.0, the functionality of the WordPress.Security.EscapeOutput sniff was updated to report unescaped message parameters passed to exceptions created in throw statements. This specific violation now has a separate error code: ExceptionNotEscaped. This will allow users to ignore or exclude that specific error code.

The error code(s) for other escaping issues flagged by the sniff remain unchanged.

References:

Follow-up to [56695].

Props jrf, bjorsch, dawidurbanski.
See #59161.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/composer.json

    r56695 r56799  
    1818    "require-dev": {
    1919        "squizlabs/php_codesniffer": "3.7.2",
    20         "wp-coding-standards/wpcs": "~3.0.0",
     20        "wp-coding-standards/wpcs": "~3.0.1",
    2121        "phpcompatibility/phpcompatibility-wp": "~2.1.3",
    2222        "yoast/phpunit-polyfills": "^1.1.0"
Note: See TracChangeset for help on using the changeset viewer.